Lucene90CompressingTermVectorsReader (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.codecs.lucene90.compressing, class: Lucene90CompressingTermVectorsReader

Package org.apache.lucene.codecs.lucene90.compressing

# Class Lucene90CompressingTermVectorsReader

java.lang.Object
org.apache.lucene.index.TermVectors
org.apache.lucene.codecs.TermVectorsReader
org.apache.lucene.codecs.lucene90.compressing.Lucene90CompressingTermVectorsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Cloneable`

public final class Lucene90CompressingTermVectorsReader extends TermVectorsReader
`TermVectorsReader` for `Lucene90CompressingTermVectorsFormat`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.index.TermVectors

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lucene90CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  Checks consistency of this reader.
  `TermVectorsReader`
  `clone()`
  Create a clone that one caller at a time may use to read term vectors.
  `void`
  `close()`
  `Fields`
  `get(int doc)`
  Returns term vectors for this document, or null if term vectors were not indexed.
  `TermVectorsReader`
  `getMergeInstance()`
  Returns an instance optimized for merging.
  `void`
  `prefetch(int docID)`
  Optional method: Give a hint to this `TermVectors` instance that the given document will be read in the near future.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.index.TermVectors

  `get`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Lucene90CompressingTermVectorsReader

    public Lucene90CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode) throws IOException
    Sole constructor.
    Throws:
      `IOException`

- ## Method Details

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`

  - ### clone

    public TermVectorsReader clone()
    Description copied from class: `TermVectorsReader`
    Create a clone that one caller at a time may use to read term vectors.
    Specified by:
      `clone` in class `TermVectorsReader`

  - ### getMergeInstance

    public TermVectorsReader getMergeInstance()
    Description copied from class: `TermVectorsReader`
    Returns an instance optimized for merging. This instance may only be consumed in the thread that called `TermVectorsReader.getMergeInstance()`.

    The default implementation returns `this`

    Overrides:
      `getMergeInstance` in class `TermVectorsReader`

  - ### prefetch

    public void prefetch(int docID) throws IOException
    Description copied from class: `TermVectors`
    Optional method: Give a hint to this `TermVectors` instance that the given document will be read in the near future. This typically delegates to `IndexInput.prefetch(long, long)` and is useful to parallelize I/O across multiple documents.

    NOTE: This API is expected to be called on a small enough set of doc IDs that they could all fit in the page cache. If you plan on retrieving a very large number of documents, it may be a good idea to perform calls to `TermVectors.prefetch(int)` and `TermVectors.get(int)` in batches instead of prefetching all documents up-front.

    Overrides:
      `prefetch` in class `TermVectors`
    Throws:
      `IOException`

  - ### get

    public Fields get(int doc) throws IOException
    Description copied from class: `TermVectors`
    Returns term vectors for this document, or null if term vectors were not indexed.

    The returned Fields instance acts like a single-document inverted index (the docID will be 0). If offsets are available they are in an `OffsetAttribute` available from the `PostingsEnum`.

    Specified by:
      `get` in class `TermVectors`
    Throws:
      `IOException`

  - ### checkIntegrity

    public void checkIntegrity() throws IOException
    Description copied from class: `TermVectorsReader`
    Checks consistency of this reader.

    Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

    Specified by:
      `checkIntegrity` in class `TermVectorsReader`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`